(function (){ 
var 云初始化对象 = {};
var 登录对象 = {};
var 数据库对象 = {};




 document.write("<script language=javascript src='/module/yunkaifa/files/tcb.js'></"+"script> // 编译成支持库用
 // @ document.write("<script language=javascript src='files/tcb.js'></"+"script>") // 这里调试用

function 初始化(环境,应用标识,移动安全版本,移动安全凭证){
 云初始化对象 = tcb.init({
     env: 环境, // 当前环境的ID
     appSign: 应用标识,
     appSecret: {
         appAccessKeyId: 移动安全版本, // 步骤1.3中获取的版本
         appAccessKey: 移动安全凭证 // 步骤1.3中获取的凭证
     }
 })
}
function 登录初始化(认证状态){
var p = "";
if(认证状态 == 2){
p = "local"
}else if(认证状态 == 3){
p = "none"
}else{
p = "session"
}
 登录对象 = 云初始化对象.auth({
     persistence: p
   })
}
function 取登录状态(){
 const loginState = 登录对象.hasLoginState()
}
function 匿名登录(成功回调,失败回调){
 登录对象.anonymousAuthProvider().signIn().then(成功回调).catch(失败回调)
}
function 执行云函数(名称,参数,成功回调){
 云初始化对象.callFunction({
     name: 名称,
     data: 参数
   }).then(成功回调)
}
function 数据库初始化(集合名称){
 数据库对象 = 云初始化对象.database().collection(集合名称)
}
function 数据库_插入数据(数据,成功回调){
 数据库对象.add(数据).then(成功回调);
}
function 数据库_读取数据(id号,成功回调){
 数据库对象.doc(id号).get().then(成功回调);
}
function 数据库_删除数据(){

}
function 上传文件(文件路径,文件对象,上传进度回调,成功回调){
 云初始化对象.uploadFile({
   cloudPath: 文件路径,
   filePath: 文件对象,
   onUploadProgress: 上传进度回调
 }).then(成功回调);
}
function 删除文件(){

}
function 下载文件(){

}
class 云开发 {static 初始化(环境,应用标识,移动安全版本,移动安全凭证){return 初始化(环境,应用标识,移动安全版本,移动安全凭证)}static 登录初始化(认证状态){return 登录初始化(认证状态)}static 取登录状态(){return 取登录状态()}static 匿名登录(成功回调,失败回调){return 匿名登录(成功回调,失败回调)}static 执行云函数(名称,参数,成功回调){return 执行云函数(名称,参数,成功回调)}static 数据库初始化(集合名称){return 数据库初始化(集合名称)}static 数据库_插入数据(数据,成功回调){return 数据库_插入数据(数据,成功回调)}static 数据库_读取数据(id号,成功回调){return 数据库_读取数据(id号,成功回调)}static 上传文件(文件路径,文件对象,上传进度回调,成功回调){return 上传文件(文件路径,文件对象,上传进度回调,成功回调)}};
window["云开发"]=云开发;})();